Last Comment Bug 756165 - Return close code 1015 to JS when TLS setup fails
: Return close code 1015 to JS when TLS setup fails
Status: NEW
[necko-would-take]
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 11:05 PDT by Jason Duell [:jduell] (needinfo me)
Modified: 2016-02-16 08:52 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jason Duell [:jduell] (needinfo me) 2012-05-17 11:05:58 PDT
RFC 6455 section 7.4.1 says we should use 1015 to "indicate that the connection was closed due to a failure to perform a TLS handshake (e.g., the server certificate can't be verified)."

One of the later changes to the spec--I don't know if any browsers are doing this yet (I've been told Chrome doesn't have it yet).
Comment 1 Jason Duell [:jduell] (needinfo me) 2012-06-01 12:27:47 PDT
It looks like 1015 may be a wart in RFC6455 that we don't actually want to pass up to the JS API, to avoid network sniffing:

  http://lists.w3.org/Archives/Public/public-webapps/2011OctDec/0437.html

  http://lists.w3.org/Archives/Public/public-webapps/2011OctDec/0437.html

I'm trying to get clarification (and clear language in the W3C spec).  But I suspect this will be WONTFIX

Note You need to log in before you can comment on or make changes to this bug.